package hw.tagApi.service.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.List;

/**
 * API结果对象
 *
 * @author Yinq
 * @date 2025-04-15
 */
public class ApiResponse {
    
    /** 功能代码 */
    @JsonProperty("CASE")
    private String caseCode;
    
    /** 结果内容 */
    @JsonProperty("RESULT")
    private List<ApiContent> result;

    public String getCaseCode() {
        return caseCode;
    }

    public void setCaseCode(String caseCode) {
        this.caseCode = caseCode;
    }

    public List<ApiContent> getResult() {
        return result;
    }

    public void setResult(List<ApiContent> result) {
        this.result = result;
    }

    @Override
    public String toString() {
        return "ApiResponse{" +
                "CASE='" + caseCode + '\'' +
                ", RESULT=" + result +
                '}';
    }
}